## vrfy 990522

=== Makefile ===
#	@(#)Makefile            e07@nikhef.nl (Eric Wassenaar) 971007

# ----------------------------------------------------------------------
# Adapt the installation directories to your local standards.
# ----------------------------------------------------------------------

# This is where the vrfy executable will go.
DESTBIN = /usr/local/bin

# This is where the vrfy manual page will go.
DESTMAN = /usr/local/man

BINDIR = $(DESTBIN)
MANDIR = $(DESTMAN)/man1

# ----------------------------------------------------------------------
# Special compilation options may be needed only on a few platforms.
# See also the header file port.h for portability issues.
# ----------------------------------------------------------------------

#if defined(_AIX)
SYSDEFS = -D_BSD -D_BSD_INCLUDES -U__STR__ -DBIT_ZERO_ON_LEFT
#endif
 
#if defined(SCO) && You have either OpenDeskTop 3 or OpenServer 5
SYSDEFS = -DSYSV
#endif
 
#if defined(solaris) && You do not want to use BSD compatibility mode
SYSDEFS = -DSYSV
#endif
 
#if defined(solaris) && You are using its default broken resolver library
SYSDEFS = -DNO_YP_LOOKUP
#endif

SYSDEFS =

# ----------------------------------------------------------------------
# Configuration definitions.
# Compiled-in defaults can be overruled by environment variables.
# See also the header file conf.h for further details.
# ----------------------------------------------------------------------

#if defined(BIND_49) && __res_state is still shipped as struct state
CONFIGDEFS = -DOLD_RES_STATE
#endif

# Define LOCALHOST if "localhost" is not running the sendmail daemon.
CONFIGDEFS = -DLOCALHOST=\"mailhost\"

# Define UUCPRELAY if you have a better place to send uucp addresses.
CONFIGDEFS = -DUUCPRELAY=LOCALHOST

# Define BITNETRELAY if you know where to send earn/bitnet addresses.
CONFIGDEFS = -DBITNETRELAY=LOCALHOST

# Define SINGLERELAY as the host where to send unqualified host names.
CONFIGDEFS = -DSINGLERELAY=LOCALHOST

CONFIGDEFS =

# ----------------------------------------------------------------------
# Compilation definitions.
# ----------------------------------------------------------------------

DEFS = $(CONFIGDEFS) $(SYSDEFS)

COPTS =
COPTS = -O

CFLAGS = $(COPTS) $(DEFS)

# Select your favorite compiler.
CC = /usr/ucb/cc			#if defined(solaris) && BSD
CC = /bin/cc -arch m68k -arch i386	#if defined(next)
CC = /bin/cc
CC = cc

# ----------------------------------------------------------------------
# Linking definitions.
# libresolv.a should contain the resolver library of BIND 4.8.2 or later.
# Link it in only if your default library is different.
# SCO keeps its own default resolver library inside libsocket.a
#
# lib44bsd.a contains various utility routines, and comes with BIND 4.9.*
# You may need it if you link with the 4.9.* resolver library.
#
# libnet.a contains the getnet...() getserv...() getproto...() calls.
# It is safe to leave it out and use your default library.
# With BIND 4.9.3 the getnet...() calls are in the resolver library.
# ----------------------------------------------------------------------

RES = -lsocket				#if defined(SCO) && default
RES =
RES = ../res/libresolv.a
RES = -lresolv

COMPLIB = ../compat/lib/lib44bsd.a
COMPLIB = -lnet
COMPLIB =

LIBS = -lsocket -lnsl			#if defined(solaris) && not BSD
LIBS =

LIBRARIES = $(RES) $(COMPLIB) $(LIBS)

LDFLAGS =

# ----------------------------------------------------------------------
# Miscellaneous definitions.
# ----------------------------------------------------------------------

MAKE = make $(MFLAGS)

# This assumes the BSD install.
INSTALL = install -c

# Grrr
SHELL = /bin/sh

# ----------------------------------------------------------------------
# Files.
# ----------------------------------------------------------------------

HDRS = port.h conf.h exit.h defs.h vrfy.h
SRCS = main.c pars.c smtp.c conn.c stat.c mxrr.c util.c vers.c
OBJS = main.o pars.o smtp.o conn.o stat.o mxrr.o util.o vers.o
PROG = vrfy
MANS = vrfy.1
DOCS = RELEASE_NOTES

FILES = Makefile $(DOCS) $(HDRS) $(SRCS) $(MANS)

PACKAGE = vrfy
TARFILE = $(PACKAGE).tar

CLEANUP = $(PROG) $(OBJS) $(TARFILE) $(TARFILE).Z

# ----------------------------------------------------------------------
# Rules for installation.
# ----------------------------------------------------------------------

OWNER = root
GROUP = staff
MODE  = 755
STRIP = -s

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(LIBRARIES)

install: $(PROG)
	$(INSTALL) -m $(MODE) -o $(OWNER) -g $(GROUP) $(STRIP) $(PROG) $(BINDIR)

man: $(MANS)
	$(INSTALL) -m 444 vrfy.1 $(MANDIR)

clean:
	rm -f $(CLEANUP) *.o a.out core

# ----------------------------------------------------------------------
# Rules for maintenance.
# ----------------------------------------------------------------------

lint:
	lint $(DEFS) $(SRCS)

alint:
	alint $(DEFS) $(SRCS)

llint:
	lint $(DEFS) $(SRCS) -lresolv

print:
	lpr -J $(PACKAGE) -p Makefile $(DOCS) $(HDRS) $(SRCS)

dist:
	tar cf $(TARFILE) $(FILES)
	compress $(TARFILE)

depend:
	mkdep $(DEFS) $(SRCS)

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== debian/changelog ===
vrfy (990522-10) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Correct license short name from BSD to BDS-2-clause.
  * General note:
    - Manual page is installed (Closes: 792604).
      Thanks to Florian Schlichting <fsfs@debian.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 17:11:07 +0300

vrfy (990522-9) unstable; urgency=low

  * debian/control
    - (Homepage): Delete. Dead upstream.
    - (Standards-Version): Update to 3.9.5.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update years.
    - (Upstream-Contact, Source): Empty.
  * debian/patches:
    - (21): Improve headers.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Feb 2014 16:53:30 +0200

vrfy (990522-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 01:28:39 -0400

vrfy (990522-7) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): update to 3.9.2.
  * debian/rules
    - Delete unused targets.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

  [tony mancill]
  * Add Vcs-* fields to d/control.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 14 Feb 2012 16:07:20 -0500

vrfy (990522-6) unstable; urgency=low

  * New mainainer (Closes: #486859).
  * debian/control
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Correct to layout format http://dep.debian.net/deps/dep5
  * debian/rules
    - update to dh(1).
  * debian/patches/series
    - Completely rearrange patches and split old massive patch
      into pieces.
    - (Number 20): New. Fix implicit declaration of function _getshort.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 15 Mar 2010 03:18:32 +0200

vrfy (990522-5) unstable; urgency=low

  * QA upload.
  * Converted to "3.0 (quilt)" format.
  * debian/control:
    - Bumped Standards-Version to 3.8.3.
    - Changed Maintainer to Debian QA Group <packages@qa.debian.org>.
    - Added versioned dependency on debhelper (>= 7).
    - Added Homepage.
    - Added dependency on quilt.
  * debian/rules:
    - Cleaned up unecessary comments.
    - Removed "-" before the make clean.
    - Changed DESTDIR from debian/tmp to debian/vrfy.
  * debian/copyright:
    - Updated copyright format.
  * debian/source/format:
    - New file set to "3.0 (quilt)".
  * debian/compat:
    - New file set to "7".
  * debian/watch:
    - New file stating that upstream URL is unavailable.
  * debian/patches:
    - 00_fix_old_fixes.diff: includes all changes made by original maintainer
      outside the debian/ directory.
    - 01_dash_in_mail.diff: adds possibility to verify addresses starting
      with "-" (e.g. -foo@bar.org). (Closes: #405761)
    - 02_manpage_type.diff: corrects a typo error in the manpage.
      (Closes: #337201)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 16 Nov 2009 23:01:37 +0100

vrfy (990522-4) unstable; urgency=low

  * Lowered compiler optimization level to fix segfault (Closes: #262573).

 -- Mark Suter <suter@zwitterion.humbug.org.au>  Mon,  2 Aug 2004 19:40:44 +1000

vrfy (990522-3) unstable; urgency=low

  * New maintainer (Closes: #249717)

 -- Mark Suter <suter@zwitterion.humbug.org.au>  Wed, 26 May 2004 21:07:35 +1000

vrfy (990522-2) unstable; urgency=low

  * Replaced sys_errlist with strerror (Nick Rusnov, closes: #106920).

 -- Herbert Xu <herbert@debian.org>  Mon, 30 Jul 2001 20:44:16 +1000

vrfy (990522-1) unstable; urgency=low

  * New upstream release.
  * Description reformatted by Josip Rodin (fixes #42095).

 -- Herbert Xu <herbert@debian.org>  Sat, 25 Sep 1999 16:11:29 +1000

vrfy (980626-1) unstable; urgency=low

  * Initial Release.

 -- Herbert Xu <herbert@debian.org>  Wed, 22 Jul 1998 18:04:17 +1000

=== debian/control ===
Source: vrfy
Section: mail
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/vrfy.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vrfy.git

Package: vrfy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: netstd (<< 3.07-3)
Description: verify electronic mail addresses
 'vrfy' is a tool to verify e-mail addresses and mailing lists.  In its
 simplest form it takes an address "user@domain", figures out the MX hosts
 for "domain", and issues the SMTP command VRFY at the primary MX host
 (optionally all), or at "domain" itself if no MX hosts exist.  Without
 "domain" it goes to "localhost".
 .
 More complex capabilities are:
  * recursively expanding forward files or mailing lists,
  * detecting mail forwarding loops,
  * understanding full-blown RFC822 address specifications,
  * syntax checking that can be carried out either locally or remotely,
  * various options provided to exploit alternative protocol suites
    if necessary, and to print many forms of verbose output.
 .
 Obvious limitations exist (mostly due to a lousy VRFY command
 implementation on some hosts), but otherwise, it works pretty well.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	$(MAKE) CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/vrfy DESTBIN=/usr/bin STRIP= install

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

%:
	dh $@

# End of file

=== debian/watch ===
version=3
# upstream URL (ftp://ftp.nikhef.nl/pub/network/) is currently unavailable.
